typeset -g ZLE_RPROMPT_INDENT=0

# Pager
typeset -g READNULLCMD=less
export LESS=-iRFXM
if autoload -U colors && colors; then
	export LESS_TERMCAP_md=$'\e['"${color[bold]};${color[red]}"'m'
	export LESS_TERMCAP_us=$'\e['"${color[bold]};${color[green]}"'m'
	export LESS_TERMCAP_so=$'\e['"${color[bold]};${color[yellow]}"'m'
	export LESS_TERMCAP_{me,se,ue,mb}=$'\e['"${color[none]}"'m'
fi

# Completion
setopt auto_list               # Automatically list on ambiguous completion
setopt auto_menu               # Automatically use menu completion
setopt auto_param_slash        # Automatically add slash to completion
setopt glob_complete           # Don't automatically expand glob patterns
setopt no_list_beep            # No annoying beeps on completion
setopt list_packed             # Pack completion results
setopt list_types              # File type in completions
#setopt menu_complete           # Automatically insert first match

# Globbing
setopt glob                    # Enable globbing
setopt glob_star_short         # Enable short ** and ***
setopt mark_dirs               # Append slash when directories are matched by glob
setopt no_match                # Error on no matches

# History
typeset -g HISTSIZE=1000
typeset -g SAVEHIST=1000
setopt append_history          # Append to history file
setopt extended_history        # Duration and timestamp in history
setopt no_hist_beep            # Don't beep for history searches
setopt hist_fcntl_lock         # Lock history file with fcntl
setopt hist_ignore_all_dups    # Ignore history duplicates
setopt hist_ignore_space       # Don't add entries to history that have a space prefix
setopt hist_reduce_blanks      # Reduce blanks in history
setopt inc_append_history_time # Append history post-execution
setopt share_history           # Share history between sessions

# Job control
setopt auto_continue           # Automatically continue disowned jobs
setopt bg_nice                 # Automatically run jobs in big at lower priority
setopt no_check_jobs           # Don't warn about jobs on exit
setopt notify                  # Show job status asap

# Misc
setopt auto_cd                 # Automatically change directory without cd
setopt c_bases                 # Show values like C understands them
setopt interactive_comments    # Allow comments in interactive shells
setopt path_dirs               # Match binaries in subdirectories for path
setopt short_loops             # Allow short loop versions
